﻿using Syncfusion.Windows.Controls.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ViewModel viewModel = new ViewModel();
            
            this.DataContext=viewModel;

            GridDataControl gdc = new GridDataControl();
            gdc.ItemsSource = viewModel.Customer;


            Button button = new Button();
            button.Height = 30;
            button.Width = 100;
            button.Content = "Click";
            button.HorizontalAlignment = HorizontalAlignment.Center;
            button.Click += button_Click;
            this.stackpanel.Children.Add(gdc);
            this.stackpanel.Children.Add(button);
        }

        void button_Click(object sender, RoutedEventArgs e)
        {
            this.stackpanel.Children.Clear();
            this.DataConditionalFormat();
        }
        public void DataConditionalFormat()
        {
            ViewModel viewModel = new ViewModel();
            GridDataControl gdc = new GridDataControl();
            GridDataConditionalFormat format = new GridDataConditionalFormat();
            format.ApplyStyleToColumn = "Name";
            format.Style = new GridDataStyleInfo() { Background = Brushes.Red };
            format.Conditions.Add(new GridDataCondition() { ColumnName = "Name", Value = "David", ConditionType = GridDataConditionType.Equals });
            format.Conditions.Add(new GridDataCondition() { ColumnName = "Name", Value = "Daniel", ConditionType = GridDataConditionType.Equals });

            gdc.AutoPopulateColumns = true;
            gdc.ConditionalFormats.Add(format);
            gdc.ItemsSource = viewModel.Customer;
            this.stackpanel.Children.Add(gdc);
        }
    }
}
